Search for pharmacies
curl --request GET \
--url https://mcp.arlohealth.ai/api/pharmacies \
--header 'Authorization: Bearer <token>'import requests
url = "https://mcp.arlohealth.ai/api/pharmacies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mcp.arlohealth.ai/api/pharmacies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pharmacies": [
{
"accreditationNumber": "<string>",
"companyName": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"zip": "<string>",
"phone": "<string>",
"fax": "<string>",
"latitude": 123,
"longitude": 123,
"distanceKm": 123
}
]
}{
"error": "<string>",
"reason": "<string>",
"code": "<string>"
}{
"error": "<string>",
"needsAuth": true
}Prescriptions
Search for pharmacies
Search pharmacies by name, optionally sorted by proximity to given coordinates.
GET
/
api
/
pharmacies
Search for pharmacies
Authorizations
OAuth 2.1 with PKCE
Query Parameters
Pharmacy name search term
User latitude for proximity sorting
User longitude for proximity sorting
Response
Pharmacy search results
Show child attributes
Show child attributes
Was this page helpful?
⌘I